Package org.opensaml.soap.client

# Interface SOAPClient

All Known Implementing Classes:
  `AbstractPipelineHttpSOAPClient`, `HttpSOAPClient`, `PipelineFactoryHttpSOAPClient`

@ThreadSafe public interface SOAPClient
An interface for a very basic SOAP client. Implementations of this interface do NOT attempt to do intelligent things like figure out when and how to attach WS-Security headers. It is strictly meant to open sockets, shuttle messages over it, and return a response.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`SOAPClient.SOAPRequestParameters`
Marker interface for binding/transport request parameters.

## Method Summary

Modifier and Type
Method
Description
`void`
`send(String endpoint, InOutOperationContext context)`
Sends a message and waits for a response.

## Method Details

### send

void send(@Nonnull @NotEmpty String endpoint, @Nonnull InOutOperationContext context) throws SOAPException, SecurityException
Sends a message and waits for a response.

Parameters:
  `endpoint` - the endpoint to which to send the message
  `context` - the operation context containing the outbound SOAP message
Throws:
  `SOAPException` - thrown if there is a problem sending the message or receiving the response or if the response is a SOAP fault
  `SecurityException` - thrown if the response does not meet any security policy associated with the message context